#include "zonefile_cod4_pc.h"

#include <QFile>
#include <QDataStream>
#include <QDebug>

ZoneFile_COD4_PC::ZoneFile_COD4_PC()
    : ZoneFile() {

}

ZoneFile_COD4_PC::~ZoneFile_COD4_PC() {

}

bool ZoneFile_COD4_PC::Load(const QByteArray aFileData) {
    return true;
}

Utils::AssetType ZoneFile_COD4_PC::AssetStrToEnum(const QString aAssetType) {
    const QString cleanedType = aAssetType.toUpper();
    if (cleanedType == "1F000000") {
        return Utils::ASSET_RAWFILE;
    } else if (cleanedType == "20000000") {
        return Utils::ASSET_SCRIPT_PARSE_TREE;
    } else if (cleanedType == "19000000") {
        return Utils::ASSET_FX;
    } else if (cleanedType == "16000000") {
        return Utils::ASSET_SOUND;
    } else if (cleanedType == "02000000") {
        return Utils::ASSET_Animation;
    } else if (cleanedType == "0B000000") {
        return Utils::ASSET_COLLISION_MAP;
    } else if (cleanedType == "21000000") {
        return Utils::ASSET_STRINGTABLE;
    } else if (cleanedType == "14000000") {
        return Utils::ASSET_MENU;
    } else if (cleanedType == "07000000") {
        return Utils::ASSET_TECHNIQUE_SET;
    } else if (cleanedType == "17000000") {
        return Utils::ASSET_WEAPON;
    } else if (cleanedType == "10000000") {
        return Utils::ASSET_GFX_MAP;
    } else if (cleanedType == "12000000") {
        return Utils::ASSET_LIGHT_DEF;
    } else if (cleanedType == "15000000") {
        return Utils::ASSET_FONT;
    } else if (cleanedType == "03000000") {
        return Utils::ASSET_XMODEL;
    } else if (cleanedType == "0C000000") {
        return Utils::ASSET_D3DBSP;
    } else if (cleanedType == "06000000") {
        return Utils::ASSET_IMAGE;
    } else if (cleanedType == "0D000000") {
        return Utils::ASSET_GAME_MAP_SP;
    } else if (cleanedType == "0A000000") {
        return Utils::ASSET_COL_MAP_SP;
    } else if (cleanedType == "01000000") {
        return Utils::ASSET_PHYSPRESET;
    } else if (cleanedType == "05000000") {
        return Utils::ASSET_DESTRUCTIBLE;
    } else if (cleanedType == "18000000") {
        return Utils::ASSET_LOCALIZE_ENTRY;
    } else if (cleanedType == "1A000000") {
        return Utils::ASSET_UI_MAP;
    }
    return Utils::ASSET_NONE;
}
